import React from "react";
declare type LifecycleProps = {
    didMount?: () => void;
    willUnmount?: () => void;
};
declare type LifecycleState = {};
/**
 * @public
 */
export default class Lifecycle extends React.PureComponent<LifecycleProps, LifecycleState> {
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactNode;
}
export {};
