/**
 * 对 codemirror6 的封装
 */
import { EditorView } from "@codemirror/basic-setup";
import { Extension } from "@codemirror/state";
import { SQLConfig } from "@codemirror/lang-sql";
import React from "react";
export declare type ReactCodemirror = {
    language?: "sql" | "javascript";
    langOptions?: {
        [key: string]: unknown;
    };
    tables?: SQLConfig["tables"];
    extensions?: Extension[];
};
declare const _default: React.ForwardRefExoticComponent<ReactCodemirror & React.RefAttributes<EditorView>>;
export default _default;
